GlueGen: com.jogamp.gluegen.ArrayTypes Class Reference

GlueGen v2.6.0-rc-20250822 GlueGen, Native Binding Generator for Java™ (public API).

Static Public Attributes | List of all members
com.jogamp.gluegen.ArrayTypes Class Reference

Convenience class containing the Class objects corresponding to arrays of various types (e.g., `booleanArrayClass` is the Class of Java type "boolean[]"). More...

Collaboration diagram for com.jogamp.gluegen.ArrayTypes:

## Static Public Attributes

static final Class<?> | booleanArrayClass
| Class for Java type boolean[]. More...
static final Class<?> | byteArrayClass
| Class for Java type byte[]. More...
static final Class<?> | charArrayClass
| Class for Java type char[]. More...
static final Class<?> | shortArrayClass
| Class for Java type short[]. More...
static final Class<?> | intArrayClass
| Class for Java type int[]. More...
static final Class<?> | longArrayClass
| Class for Java type long[]. More...
static final Class<?> | floatArrayClass
| Class for Java type float[]. More...
static final Class<?> | doubleArrayClass
| Class for Java type double[]. More...
static final Class<?> | stringArrayClass
| Class for Java type String[]. More...
static final Class<?> | bufferArrayClass
| Class for Java type Buffer[]. More...
static final Class<?> | byteBufferArrayClass
| Class for Java type ByteBuffer[]. More...
static final Class<?> | shortBufferArrayClass
| Class for Java type ShortBuffer[]. More...
static final Class<?> | intBufferArrayClass
| Class for Java type IntBuffer[]. More...
static final Class<?> | longBufferArrayClass
| Class for Java type LongBuffer[]. More...
static final Class<?> | floatBufferArrayClass
| Class for Java type FloatBuffer[]. More...
static final Class<?> | doubleBufferArrayClass
| Class for Java type DoubleBuffer[]. More...

## Detailed Description

Convenience class containing the Class objects corresponding to arrays of various types (e.g., `booleanArrayClass` is the Class of Java type "boolean[]").

Definition at line 49 of file ArrayTypes.java.

## Member Data Documentation

## ◆ booleanArrayClass

final Class<?> com.jogamp.gluegen.ArrayTypes.booleanArrayClass

static

Class for Java type boolean[].

Definition at line 51 of file ArrayTypes.java.

## ◆ bufferArrayClass

final Class<?> com.jogamp.gluegen.ArrayTypes.bufferArrayClass

static

Class for Java type Buffer[].

Definition at line 92 of file ArrayTypes.java.

## ◆ byteArrayClass

final Class<?> com.jogamp.gluegen.ArrayTypes.byteArrayClass

static

Class for Java type byte[].

Definition at line 53 of file ArrayTypes.java.

## ◆ byteBufferArrayClass

final Class<?> com.jogamp.gluegen.ArrayTypes.byteBufferArrayClass

static

Class for Java type ByteBuffer[].

Definition at line 94 of file ArrayTypes.java.

## ◆ charArrayClass

final Class<?> com.jogamp.gluegen.ArrayTypes.charArrayClass

static

Class for Java type char[].

Definition at line 55 of file ArrayTypes.java.

## ◆ doubleArrayClass

final Class<?> com.jogamp.gluegen.ArrayTypes.doubleArrayClass

static

Class for Java type double[].

Definition at line 65 of file ArrayTypes.java.

## ◆ doubleBufferArrayClass

final Class<?> com.jogamp.gluegen.ArrayTypes.doubleBufferArrayClass

static

Class for Java type DoubleBuffer[].

Definition at line 104 of file ArrayTypes.java.

## ◆ floatArrayClass

final Class<?> com.jogamp.gluegen.ArrayTypes.floatArrayClass

static

Class for Java type float[].

Definition at line 63 of file ArrayTypes.java.

## ◆ floatBufferArrayClass

final Class<?> com.jogamp.gluegen.ArrayTypes.floatBufferArrayClass

static

Class for Java type FloatBuffer[].

Definition at line 102 of file ArrayTypes.java.

## ◆ intArrayClass

final Class<?> com.jogamp.gluegen.ArrayTypes.intArrayClass

static

Class for Java type int[].

Definition at line 59 of file ArrayTypes.java.

## ◆ intBufferArrayClass

final Class<?> com.jogamp.gluegen.ArrayTypes.intBufferArrayClass

static

Class for Java type IntBuffer[].

Definition at line 98 of file ArrayTypes.java.

## ◆ longArrayClass

final Class<?> com.jogamp.gluegen.ArrayTypes.longArrayClass

static

Class for Java type long[].

Definition at line 61 of file ArrayTypes.java.

## ◆ longBufferArrayClass

final Class<?> com.jogamp.gluegen.ArrayTypes.longBufferArrayClass

static

Class for Java type LongBuffer[].

Definition at line 100 of file ArrayTypes.java.

## ◆ shortArrayClass

final Class<?> com.jogamp.gluegen.ArrayTypes.shortArrayClass

static

Class for Java type short[].

Definition at line 57 of file ArrayTypes.java.

## ◆ shortBufferArrayClass

final Class<?> com.jogamp.gluegen.ArrayTypes.shortBufferArrayClass

static

Class for Java type ShortBuffer[].

Definition at line 96 of file ArrayTypes.java.

## ◆ stringArrayClass

final Class<?> com.jogamp.gluegen.ArrayTypes.stringArrayClass

static

Class for Java type String[].

Definition at line 67 of file ArrayTypes.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/ArrayTypes.java